Bug 67516 - yppasswd created MD5 passwds, even when MD5 has not been selected
yppasswd created MD5 passwds, even when MD5 has not been selected
Product: Red Hat Linux
Classification: Retired
Component: yp-tools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-06-26 15:09 EDT by Nick Strugnell
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 08:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2002-06-26 15:09:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
In a mixed linux, IRIX environment, we have a NIS master on a linux server and
multiple linux and IRIX clients. MD5 passwords are switched off on all the linux
machines, as IRIX does not support it.

If the password is changed on the linux NIS master using passwd, and the NIS
maps recreated, everything works fine. However, if the password is changed by
the user on a linux client using yppasswd, the user will no longer be able to
login from an IRIX client as (we think) the new password is actually MD5.

Additionally, if the password is changed on the server using the
redhat-config-users utility, the same thing happens.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set up a NIS master running on linux, with a linux client and an IRIX client.

2. Add a user and change the password on the NIS server using passwd.

3. Remake the NIS maps.

4. Confirm that the user can log in from both linux and IRIX clients.

5. On a linux client, change the password using yppasswd.

6. Confirm that the user can still login from the linux clients, but can no
longer login from the IRIX clients.

Actual Results:  I could not login from the IRIX clients.

Expected Results:  I should have been able to login from the IRIX clients.

Additional info:

Comment 1 Alexander Larsson 2002-06-26 15:14:22 EDT
Can you try with the yptools from 7.3?
Comment 2 Nick Strugnell 2002-07-22 11:50:01 EDT
Unfortunately we don't have remote access to the client site, and they don't 
have a competent sysadmin on site so I can't try updating yptools. There is a 
possibility that I might be on site next month and I'll try it then.
Comment 3 Alexander Larsson 2002-07-22 12:01:09 EDT
Good. Because i believe i fixed this.
Comment 4 Nick Strugnell 2004-08-26 05:01:27 EDT
OK - I haven't had any further access or feedback from the site so I 
guess this can be closed.

Note You need to log in before you can comment on or make changes to this bug.